## android-platform-frameworks-base 6.0.1+r16

=== debian/changelog ===
android-platform-frameworks-base (1:6.0.1+r16-1) unstable; urgency=medium

  * New upstream release
    - d/rules: Update BUILD_TOOLS_VERSION to 23.0.2
  * d/copyright: Exclude more useless files to reduce tarball size
  * Use aapt.bash-completion for installing bash-completion

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 17 Feb 2016 18:59:36 +0800

android-platform-frameworks-base (1:6.0.0+r26-3) unstable; urgency=medium

  * d/control:
    - Do not use ${binary:Version} on external packages
    - Remove libunwind from B-D as unnecessary

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 09 Feb 2016 02:06:39 +0800

android-platform-frameworks-base (1:6.0.0+r26-2) unstable; urgency=medium

  * d/split-select.1.md: Fix syntax error
  * d/libandroidfw.mk: Add "-Wl,-rpath=/usr/lib/android" to LDFLAGS
  * d/copyright: Include more upstream files for building the Android Frameworks
  * d/control: Add android-libunwind (>= 6) to B-D for solving the build failure

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sun, 07 Feb 2016 13:25:26 +0800

android-platform-frameworks-base (1:6.0.0+r26-1) experimental; urgency=medium

  * New upstream release
  * Change version scheme to follow Android release tags
  * get-orig-source rule in d/rules for generating upstream tarballs
  * Install executables to faked SDK home
  * Makefiles independent from Quilt
  * New package: aidl, split-select, android-libaapt
  * Use makefiles for generating library symlinks
  * Add lintian-overrides for binary-or-shlib-defines-rpath
  * New manpages for aidl, split-select
  * Update d/copyright
  * d/control:
    - Add myself to Uploaders
    - Change architecture to amd64 & i386
    - Change priority to optional
    - Change Build-Depends:
      - libpng12-dev => libpng-dev
      - libexpat1-dev => libexpat-dev
      - Add android-platform-build-headers
    - All Build-Depends on AOSP packages >= 1:6.0.0
    - Fix Vcs-Git
    - Use HTTPS for Vcs URLs
    - Standards-Version => 3.9.7 (No change)
  * New patches:
    - aapt_Images_cpp_Res_png_9patch.diff: Fix API usage mistake
    - fix_aidl_typo.diff
    - aapt_typo.diff

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 5 Feb 2016 22:03:11 +0800

android-platform-frameworks-base (21-2) unstable; urgency=low

  * add versions to shlibs so dh can do dep detection
    (Closes: #768821) (Closes: #769236)
  * set Android Tools team as Maintainer
  * fix installation of aapt bash completion rules

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 02 Dec 2014 14:36:42 +0100

android-platform-frameworks-base (21-1) unstable; urgency=low

  * Initial release (Closes: #763571)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 30 Sep 2014 20:55:30 -0400
