=== debian/control ===
Source: android-platform-frameworks-base
Section: devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Kai-Chung Yan <seamlikok@gmail.com>
Build-Depends: android-libbase-dev (>= 1:6.0.0+r26~),
               android-liblog-dev (>= 1:6.0.0+r26~),
               android-libutils-dev (>= 1:6.0.0+r26~),
               android-libziparchive-dev (>= 1:6.0.0+r26~),
               android-platform-build-headers (>= 1:6.0.0+r26~),
               android-platform-frameworks-native-headers (>= 1:6.0.1+r16~),
               bison,
               debhelper (>= 9),
               dh-exec,
               flex,
               libexpat-dev,
               libpng-dev,
               pandoc,
               zlib1g-dev
Standards-Version: 3.9.7
Homepage: https://android.googlesource.com/platform/frameworks/base
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-frameworks-base.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-frameworks-base.git

Package: android-libandroidfw
Section: libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android utility library
 Library providing utility functions to Android related tools. This is needed
 purely to get various Android utilities working.  In the Google builds of the
 Android SDK, this library is statically linked, but in the Debian packaging,
 it is a private shared library.

Package: android-libandroidfw-dev
Section: libdevel
Architecture: amd64 i386
Depends: android-libandroidfw (= ${binary:Version}),
         android-libutils-dev (>= ${source:Upstream-Version}),
         android-platform-frameworks-native-headers (>= 6.0.1+r16~),
         ${misc:Depends},
Breaks: android-libandroidfw (<< 21-2~)
Replaces: android-libandroidfw (<< 21-2~)
Description: Android utility library - Development files
 Library providing utility functions to Android related tools. This is needed
 purely to get various Android utilities working.  In the Google builds of the
 Android SDK, this library is statically linked, but in the Debian packaging,
 it is a private shared library.
 .
 This package contains the development files.

Package: aapt
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android Asset Packaging Tool
 The Android Asset Packaging Tool (aapt) takes your application resource
 files, such as the AndroidManifest.xml file and the XML files for your
 Activities, and compiles them. An R.java is also produced so you can
 reference your resources from your Java code. This tool allows you to view,
 create, and update Zip-compatible archives (zip, jar, apk). It can also
 compile resources into binary assets.

Package: android-libaapt
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android Asset Packaging Tool - Shared library
 The Android Asset Packaging Tool (aapt) takes your application resource
 files, such as the AndroidManifest.xml file and the XML files for your
 Activities, and compiles them. An R.java is also produced so you can
 reference your resources from your Java code. This tool allows you to view,
 create, and update Zip-compatible archives (zip, jar, apk). It can also
 compile resources into binary assets.
 .
 This package contains the shared library.

Package: aidl
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android Interface Definition Language processor
 AIDL (Android Interface Definition Language) is similar to other IDLs you might
 have worked with. It allows you to define the programming interface that both
 the client and service agree upon in order to communicate with each other using
 interprocess communication (IPC).

Package: split-select
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: APK split and selection tool
 Generates the logic for selecting a Split APK given some target Android device
 configuration.
 .
 Using the flag --generate will emit a JSON encoded tree of rules that must be
 satisfied in order to install the given Split APK. Using the flag --target
 along with the device configuration will emit the set of Split APKs to install,
 following the same logic that would have been emitted
