## android-platform-frameworks-base 6.0.1+r55

=== debian/changelog ===
android-platform-frameworks-base (1:6.0.1+r55-1) unstable; urgency=medium

  [ Chirayu Desai ]
  * New upstream release.
  * debian: Add watch file for usage with uscan
  * d/watch: recompress using xz
  * d/copyright:
    - Exclude "core/res/res/values-mcc310-mnc380": dpkg-source cannot handle
      symlinks to a directory
  * Update Android Build-Depends to the latest version available

  [ Kai-Chung Yan ]
  * d/copyright: No longer exclude
    - No longer exclude "*.zip": Not necessary
    - No longer exclude "packages": Contains codes required for building
      android.jar
    - Exclude "core/res/res/values-mcc310-mnc170": dpkg-source cannot handle
      symlinks to a directory

 -- Chirayu Desai <chirayudesai1@gmail.com>  Sun, 21 Aug 2016 18:38:19 +0530

android-platform-frameworks-base (1:6.0.1+r43-1) unstable; urgency=medium

  * Team upload.

  [ Kai-Chung Yan ]
  * New upstream release
  * d/control:
    - Limit some BDs to [amd64 i386]
    - Change Maintainer to "Android Tools Maintainers"
    - Standards-Version => 3.9.8 (no changes)
  * Add both paths with/without DEB_HOST_MULTIARCH to RPATH
  * Drop aapt_Images_cpp_Res_png_9patch.diff: Disable assertions in Images.cpp
    using -DNDEBUG so that aapt can build APKs successfully

  [ Chirayu Desai ]
  * New package: android-framework-res for "framework-res.apk"

 -- Chirayu Desai <chirayudesai1@gmail.com>  Tue, 14 Jun 2016 21:41:34 +0530
