=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: android-platform-frameworks-base
 Section: devel
 Priority: optional
-Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
+Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
-           Kai-Chung Yan <seamlikok@gmail.com>
-Build-Depends: android-libbase-dev (>= 1:6.0.0+r26~),
-               android-liblog-dev (>= 1:6.0.0+r26~),
-               android-libutils-dev (>= 1:6.0.0+r26~),
-               android-libziparchive-dev (>= 1:6.0.0+r26~),
-               android-platform-build-headers (>= 1:6.0.0+r26~),
-               android-platform-frameworks-native-headers (>= 1:6.0.1+r16~),
-               bison,
+           Kai-Chung Yan <seamlikok@gmail.com>,
+           Chirayu Desai <chirayudesai1@gmail.com>
+Build-Depends: android-libbase-dev (>= 1:6.0.1+r55) [amd64 i386],
+               android-liblog-dev (>= 1:6.0.1+r55) [amd64 i386],
+               android-libutils-dev (>= 1:6.0.1+r55) [amd64 i386],
+               android-libziparchive-dev (>= 1:6.0.1+r55) [amd64 i386],
+               android-platform-build-headers (>= 1:6.0.1+r16-4) [amd64 i386],
+               android-platform-frameworks-native-headers (>= 1:6.0.1+r16) [amd64 i386],
+               bison [amd64 i386],
                debhelper (>= 9),
                dh-exec,
-               flex,
-               libexpat-dev,
-               libpng-dev,
+               flex [amd64 i386],
+               libexpat-dev [amd64 i386],
+               libpng-dev [amd64 i386],
                pandoc,
-               zlib1g-dev
-Standards-Version: 3.9.7
+               patchelf,
+               strip-nondeterminism,
+               zlib1g-dev [amd64 i386]
+Standards-Version: 3.9.8
 Homepage: https://android.googlesource.com/platform/frameworks/base
 Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-frameworks-base.git
 Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-frameworks-base.git
@@ -38,7 +41,7 @@
 Architecture: amd64 i386
 Depends: android-libandroidfw (= ${binary:Version}),
          android-libutils-dev (>= ${source:Upstream-Version}),
-         android-platform-frameworks-native-headers (>= 6.0.1+r16~),
+         android-platform-frameworks-native-headers (>= 6.0.1+r55~),
          ${misc:Depends},
 Breaks: android-libandroidfw (<< 21-2~)
 Replaces: android-libandroidfw (<< 21-2~)
@@ -94,3 +97,10 @@
  satisfied in order to install the given Split APK. Using the flag --target
  along with the device configuration will emit the set of Split APKs to install,
  following the same logic that would have been emitted
+
+Package: android-framework-res
+Architecture: all
+Depends: ${misc:Depends}
+Description: Android platform framework resources
+ This package provides the Android framework resources in an apk file,
+ framework-res.apk
