=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# See sdk/build_tools_source.prop_template in platform/development
export BUILD_TOOLS_VERSION = 23.0.2
export DEB_HOST_MULTIARCH
export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG
export DEB_LDFLAGS_MAINT_APPEND = -fPIC
UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))

aapt: libaapt.so
	make -f debian/aapt.mk

aidl:
	make -f debian/aidl.mk

libaapt.so: libandroidfw.so
	make -f debian/libaapt.mk

libandroidfw.so:
	make -f debian/libandroidfw.mk

split-select:
	make -f debian/split-select.mk

%:
	dh $@

override_dh_auto_build-arch: aidl aapt split-select
	mkdir --parent debian/out
	pandoc -s -o debian/out/aidl.1 debian/aidl.1.md
	pandoc -s -o debian/out/split-select.1 debian/split-select.1.md

override_dh_auto_build-indep: aapt
	ln -s values-mcc310-mnc150 core/res/res/values-mcc310-mnc170
	ln -s values-mcc310-mnc150 core/res/res/values-mcc310-mnc380
	mkdir --parents debian/out/aapt
	./aapt package -u -x -z \
	               -M core/res/AndroidManifest.xml \
	               -S core/res/res -A core/res/assets \
	               -F debian/out/framework-res.apk \
	               --min-sdk-version 23 --target-sdk-version 23 \
	               --product default \
	               --version-code 23 --version-name 6.0.1 \
	               --skip-symbols-without-default-localization
	strip-nondeterminism -t zip -T $(SOURCE_DATE_EPOCH) debian/out/framework-res.apk

override_dh_auto_clean:
	make clean -f debian/libandroidfw.mk
	make clean -f debian/libaapt.mk
	make clean -f debian/aapt.mk
	make clean -f debian/aidl.mk
	make clean -f debian/split-select.mk
	$(RM) -r debian/out
	$(RM) core/res/res/values-mcc310-mnc170 core/res/res/values-mcc310-mnc380
	dh_auto_clean

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/android -l/usr/lib/$(DEB_HOST_MULTIARCH)/android

override_dh_install:
	patchelf --set-rpath /usr/lib/$(DEB_HOST_MULTIARCH)/android:/usr/lib/android aapt
	patchelf --set-rpath /usr/lib/$(DEB_HOST_MULTIARCH)/android:/usr/lib/android libaapt.so
	dh_install

get-orig-source: $(UPSTREAM_TAG).tar.gz
	mk-origtargz --repack --compression xz $<

$(UPSTREAM_TAG).tar.gz:
	wget https://android.googlesource.com/platform/frameworks/base/+archive/$(UPSTREAM_TAG).tar.gz
