## android-platform-frameworks-base 7.0.0+r1

=== debian/changelog ===
android-platform-frameworks-base (1:7.0.0+r1-3) unstable; urgency=medium

  * include bash-completion for aapt (Closes: #856420)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 28 Feb 2017 22:07:56 +0100

android-platform-frameworks-base (1:7.0.0+r1-2) unstable; urgency=medium

  * Upload to unstable
  * Switch from using patchelf to chrpath for patchelf is unavailable on MIPS
  * d/rules: Set ANDROID_BUILD_TOOLS_VERSION since aapt.mk needs it

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 07 Dec 2016 12:39:23 +0800

android-platform-frameworks-base (1:7.0.0+r1-1) experimental; urgency=medium

  [ Kai-Chung Yan ]
  * New upstream release
  * Build aapt2
  * Enable builds for ARM & MIPS
  * Remove package: aidl (moved to src:android-platform-system-tools-aidl)
  * Set the dynamic BUILD_TOOLS_VERSION to "debian"
  * Update to debhelper 10
  * Drop fix_expat_header_path.patch: Fixed in upstream

  [ Chirayu Desai ]
  * No longer manually invoke strip-nondeterminism
    (See: <https://tracker.debian.org/news/792561>)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 05 Oct 2016 17:11:25 +0800
