=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
            Kai-Chung Yan <seamlikok@gmail.com>,
            Chirayu Desai <chirayudesai1@gmail.com>
-Build-Depends: android-libbase-dev (>= 1:6.0.1+r55) [amd64 i386],
-               android-liblog-dev (>= 1:6.0.1+r55) [amd64 i386],
-               android-libutils-dev (>= 1:6.0.1+r55) [amd64 i386],
-               android-libziparchive-dev (>= 1:6.0.1+r55) [amd64 i386],
-               android-platform-build-headers (>= 1:6.0.1+r16-4) [amd64 i386],
-               android-platform-frameworks-native-headers (>= 1:6.0.1+r16) [amd64 i386],
-               bison [amd64 i386],
-               debhelper (>= 9),
+Build-Depends: android-libcutils-dev (>= 1:7.0.0+r1),
+               android-libbase-dev (>= 1:7.0.0+r1),
+               android-liblog-dev (>= 1:7.0.0+r1),
+               android-libutils-dev (>= 1:7.0.0+r1),
+               android-libziparchive-dev (>= 1:7.0.0+r1),
+               android-platform-frameworks-native-headers (>= 1:7.0.0+r1),
+               bash-completion,
+               chrpath,
+               debhelper (>= 10),
                dh-exec,
-               flex [amd64 i386],
-               libexpat-dev [amd64 i386],
-               libpng-dev [amd64 i386],
+               libexpat-dev,
+               libpng-dev,
+               libprotobuf-dev,
                pandoc,
-               patchelf,
-               strip-nondeterminism,
-               zlib1g-dev [amd64 i386]
+               protobuf-compiler,
+               zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: https://android.googlesource.com/platform/frameworks/base
 Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-frameworks-base.git
@@ -28,7 +28,7 @@
 
 Package: android-libandroidfw
 Section: libs
-Architecture: amd64 i386
+Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android utility library
  Library providing utility functions to Android related tools. This is needed
@@ -38,10 +38,10 @@
 
 Package: android-libandroidfw-dev
 Section: libdevel
-Architecture: amd64 i386
+Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
 Depends: android-libandroidfw (= ${binary:Version}),
-         android-libutils-dev (>= ${source:Upstream-Version}),
-         android-platform-frameworks-native-headers (>= 6.0.1+r55~),
+         android-libutils-dev (>= 1:7.0.0+r1),
+         android-platform-frameworks-native-headers (>= 7.0.0+r1),
          ${misc:Depends},
 Breaks: android-libandroidfw (<< 21-2~)
 Replaces: android-libandroidfw (<< 21-2~)
@@ -54,7 +54,7 @@
  This package contains the development files.
 
 Package: aapt
-Architecture: amd64 i386
+Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android Asset Packaging Tool
  The Android Asset Packaging Tool (aapt) takes your application resource
@@ -65,7 +65,7 @@
  compile resources into binary assets.
 
 Package: android-libaapt
-Architecture: amd64 i386
+Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android Asset Packaging Tool - Shared library
  The Android Asset Packaging Tool (aapt) takes your application resource
@@ -77,17 +77,8 @@
  .
  This package contains the shared library.
 
-Package: aidl
-Architecture: amd64 i386
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Android Interface Definition Language processor
- AIDL (Android Interface Definition Language) is similar to other IDLs you might
- have worked with. It allows you to define the programming interface that both
- the client and service agree upon in order to communicate with each other using
- interprocess communication (IPC).
-
 Package: split-select
-Architecture: amd64 i386
+Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: APK split and selection tool
  Generates the logic for selecting a Split APK given some target Android device
