=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# See https://android.googlesource.com/platform/development/+/master/sdk/build_tools_source.prop_template
export ANDROID_BUILD_TOOLS_VERSION = 24.0.0
export DEB_HOST_MULTIARCH
export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG -I/usr/include/android
export DEB_LDFLAGS_MAINT_APPEND = -fPIC

debian/out/aapt: debian/out/libaapt.so
	make -f debian/aapt.mk

debian/out/aapt2:
	make -f debian/aapt2.mk

debian/out/libaapt.so: debian/out/libandroidfw.so
	make -f debian/libaapt.mk

debian/out/libandroidfw.so:
	make -f debian/libandroidfw.mk

debian/out/split-select:
	make -f debian/split-select.mk

%:
	dh $@ --with bash-completion

override_dh_auto_build-arch: debian/out/aapt debian/out/aapt2 debian/out/split-select
	mkdir --parent debian/out
	pandoc -s -o debian/out/split-select.1 debian/split-select.1.md

override_dh_auto_build-indep: debian/out/aapt
	ln -s values-mcc310-mnc150 core/res/res/values-mcc310-mnc170
	ln -s values-mcc310-mnc150 core/res/res/values-mcc310-mnc380
	mkdir --parents debian/out
	debian/out/aapt package -u -x -z \
	               -M core/res/AndroidManifest.xml \
	               -S core/res/res -A core/res/assets \
	               -F debian/out/framework-res.apk \
	               --min-sdk-version 24 --target-sdk-version 24 \
	               --product default \
	               --version-code 24 --version-name 7.0.0 \
	               --skip-symbols-without-default-localization

override_dh_auto_clean:
	$(RM) -r debian/out
	$(RM) core/res/res/values-mcc310-mnc170 core/res/res/values-mcc310-mnc380
	dh_auto_clean

override_dh_install:
	chrpath --replace /usr/lib/$(DEB_HOST_MULTIARCH)/android debian/out/aapt
	chrpath --replace /usr/lib/$(DEB_HOST_MULTIARCH)/android debian/out/libaapt.so
	dh_install

get-orig-source:
	uscan --download-current-version --force-download
