## android-platform-frameworks-base 7.0.0+r33

=== debian/changelog ===
android-platform-frameworks-base (1:7.0.0+r33-1) unstable; urgency=medium

  * New upstream release (Closes: #859081)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 24 Apr 2017 15:53:07 +0200
