=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
            Kai-Chung Yan <seamlikok@gmail.com>,
            Chirayu Desai <chirayudesai1@gmail.com>
-Build-Depends: android-libcutils-dev (>= 1:7.0.0+r1),
-               android-libbase-dev (>= 1:7.0.0+r1),
-               android-liblog-dev (>= 1:7.0.0+r1),
-               android-libutils-dev (>= 1:7.0.0+r1),
-               android-libziparchive-dev (>= 1:7.0.0+r1),
-               android-platform-frameworks-native-headers (>= 1:7.0.0+r1),
+Build-Depends: android-libcutils-dev (>= 1:7.0.0+r33~),
+               android-libbase-dev (>= 1:7.0.0+r33~),
+               android-liblog-dev (>= 1:7.0.0+r33~),
+               android-libutils-dev (>= 1:7.0.0+r33~),
+               android-libziparchive-dev (>= 1:7.0.0+r33~),
+               android-platform-frameworks-native-headers (>= 1:7.0.0+r33),
                bash-completion,
                chrpath,
                debhelper (>= 10),
@@ -40,8 +40,8 @@
 Section: libdevel
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
 Depends: android-libandroidfw (= ${binary:Version}),
-         android-libutils-dev (>= 1:7.0.0+r1),
-         android-platform-frameworks-native-headers (>= 7.0.0+r1),
+         android-libutils-dev (>= 1:7.0.0+r33~),
+         android-platform-frameworks-native-headers (>= 7.0.0+r33~),
          ${misc:Depends},
 Breaks: android-libandroidfw (<< 21-2~)
 Replaces: android-libandroidfw (<< 21-2~)
