## android-platform-frameworks-base 8.1.0+r23

=== debian/changelog ===
android-platform-frameworks-base (1:8.1.0+r23-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:40 +0100

android-platform-frameworks-base (1:8.1.0+r23-3build1) disco; urgency=medium

  * No-change rebuild against latest protobuf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 14:59:56 -0500

android-platform-frameworks-base (1:8.1.0+r23-3) unstable; urgency=medium

  * Release to unstable
  * Fix the install path of the headers of libandroidfw
  * Annotate all packages with Multi-Arch (Closes: #895820)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sun, 21 Oct 2018 18:38:43 +0800

android-platform-frameworks-base (1:8.1.0+r23-2) experimental; urgency=medium

  * Properly declare target dependencies in d/rules, thus fixing a FTBFS when
    building binary-indep.
  * d/aapt2.mk: Remove macros that don't apply to aapt2

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 10 Oct 2018 23:04:43 +0800

android-platform-frameworks-base (1:8.1.0+r23-1) experimental; urgency=medium

  * Standards-Version => 4.2.1
  * Mark the manpage of `split-select` outdated

  [ Hans-Christoph Steiner ]
  * New upstream release
  * Do not exclude some test data during get-orig-source
  * Switch to Salsa

  [ Umang Parmar ]
  * Switch to aapt2 to compile framework-res.apk
  * Use debian/clean to simplify build scripts
  * Add myself to Uploaders

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 09 Oct 2018 15:24:39 +0800
