=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
            Kai-Chung Yan <seamlikok@gmail.com>,
-           Chirayu Desai <chirayudesai1@gmail.com>
-Build-Depends: android-libcutils-dev (>= 1:7.0.0+r33~),
-               android-libbase-dev (>= 1:7.0.0+r33~),
-               android-liblog-dev (>= 1:7.0.0+r33~),
-               android-libutils-dev (>= 1:7.0.0+r33~),
-               android-libziparchive-dev (>= 1:7.0.0+r33~),
-               android-platform-frameworks-native-headers (>= 1:7.0.0+r33),
+           Chirayu Desai <chirayudesai1@gmail.com>,
+           Umang Parmar <umangjparmar@gmail.com>
+Build-Depends: android-libbase-dev (>= 1:8.1.0+r23~),
+               android-liblog-dev (>= 1:8.1.0+r23~),
+               android-libutils-dev (>= 1:8.1.0+r23~),
+               android-libziparchive-dev (>= 1:8.1.0+r23~),
+               android-platform-frameworks-native-headers (>= 1:8.1.0+r23~),
                bash-completion,
                chrpath,
                debhelper (>= 10),
@@ -21,14 +21,15 @@
                pandoc,
                protobuf-compiler,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://android.googlesource.com/platform/frameworks/base
-Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-frameworks-base.git
-Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-frameworks-base.git
+Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-frameworks-base.git
+Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-frameworks-base
 
 Package: android-libandroidfw
 Section: libs
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android utility library
  Library providing utility functions to Android related tools. This is needed
@@ -39,9 +40,10 @@
 Package: android-libandroidfw-dev
 Section: libdevel
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
+Multi-Arch: foreign
 Depends: android-libandroidfw (= ${binary:Version}),
-         android-libutils-dev (>= 1:7.0.0+r33~),
-         android-platform-frameworks-native-headers (>= 7.0.0+r33~),
+         android-libutils-dev (>= 1:8.1.0+r23~),
+         android-platform-frameworks-native-headers (>= 8.1.0+r23~),
          ${misc:Depends},
 Breaks: android-libandroidfw (<< 21-2~)
 Replaces: android-libandroidfw (<< 21-2~)
@@ -55,6 +57,7 @@
 
 Package: aapt
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android Asset Packaging Tool
  The Android Asset Packaging Tool (aapt) takes your application resource
@@ -66,6 +69,7 @@
 
 Package: android-libaapt
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android Asset Packaging Tool - Shared library
  The Android Asset Packaging Tool (aapt) takes your application resource
@@ -79,6 +83,7 @@
 
 Package: split-select
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: APK split and selection tool
  Generates the logic for selecting a Split APK given some target Android device
@@ -91,6 +96,7 @@
 
 Package: android-framework-res
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Android platform framework resources
  This package provides the Android framework resources in an apk file,
