## android-platform-frameworks-base 10.0.0+r36

=== debian/changelog ===
android-platform-frameworks-base (1:10.0.0+r36-10) unstable; urgency=medium

  * debian/patches: Add patch to fix Protobuf FTBFS (Closes: #1012572).

 -- Roger Shimizu <rosh@debian.org>  Fri, 09 Dec 2022 10:59:55 -0600

android-platform-frameworks-base (1:10.0.0+r36-9) unstable; urgency=medium

  * Team upload.
  * debian/tests/control:
    - Add test for android-framework-res.

 -- Roger Shimizu <rosh@debian.org>  Sun, 07 Aug 2022 22:07:57 +0900

android-platform-frameworks-base (1:10.0.0+r36-8) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Bump up lib for android-platform-frameworks-native-headers.
  * debian/*.mk: Add -pie to all executable LDFLAGS.

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Aug 2022 23:27:36 +0900

android-platform-frameworks-base (1:10.0.0+r36-7) unstable; urgency=medium

  * Team upload.
  * debian/{control,rules}: Sync with debian/exp branch.

 -- Roger Shimizu <rosh@debian.org>  Mon, 01 Aug 2022 01:47:31 +0900

android-platform-frameworks-base (1:10.0.0+r36-6) unstable; urgency=medium

  * Team upload.

  [ Roger Shimizu ]
  * debian/rules: Run aapt2 test on all build arch.
  * debian/patches: Update fix-compile-error.patch to work with gcc-12
    (Closes: #1016267).
  * Add d/*.lintian-overrides to override custom-library-search-path
    error.

  [ 殷啟聰 | Kai-Chung Yan ]
  * Remove myself from Uploaders.

 -- Roger Shimizu <rosh@debian.org>  Sun, 31 Jul 2022 23:08:47 +0900

android-platform-frameworks-base (1:10.0.0+r36-5) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump up package version of Depends.

 -- Roger Shimizu <rosh@debian.org>  Tue, 10 May 2022 00:20:24 +0900

android-platform-frameworks-base (1:10.0.0+r36-4) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Cherry-pick patches from upstream, to work with headers from
      android-platform-tools v29.
  * debian/control:
    - Update the B-D to use new headers from android-platform-tools.

 -- Roger Shimizu <rosh@debian.org>  Sun, 08 May 2022 17:20:48 +0900

android-platform-frameworks-base (1:10.0.0+r36-3) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no
  * fix build on armel and mipsel

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 05 Jan 2021 21:06:42 +0100

android-platform-frameworks-base (1:10.0.0+r36-2) unstable; urgency=medium

  * Team upload
  * Team package, remove myself from Uploaders:
  * fix autopkgtest

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 03 Jan 2021 16:43:48 +0100

android-platform-frameworks-base (1:10.0.0+r36-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * New upstream version
  * add debian/upstream/metadata

  [ Roger Shimizu ]
  * d/watch: Update rule to get new upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 25 Nov 2020 12:13:09 +0100
