=== debian/control ===
--- 
+++ 
@@ -2,26 +2,23 @@
 Section: devel
 Priority: optional
 Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>,
-           Kai-Chung Yan <seamlikok@gmail.com>,
-           Chirayu Desai <chirayudesai1@gmail.com>,
+Uploaders: Chirayu Desai <chirayudesai1@gmail.com>,
            Umang Parmar <umangjparmar@gmail.com>
-Build-Depends: android-libbase-dev (>= 1:8.1.0+r23~),
-               android-liblog-dev (>= 1:8.1.0+r23~),
-               android-libutils-dev (>= 1:8.1.0+r23~),
-               android-libziparchive-dev (>= 1:8.1.0+r23~),
-               android-platform-frameworks-native-headers (>= 1:8.1.0+r23~),
+Build-Depends: android-libutils-dev (>= 1:29),
+               android-libziparchive-dev (>= 1:29),
+               android-platform-frameworks-native-headers (>= 1:29),
                bash-completion,
-               chrpath,
+               clang,
                debhelper (>= 10),
                dh-exec,
                libexpat-dev,
                libpng-dev,
-               libprotobuf-dev,
+               libprotobuf-dev (>= 3.20),
                pandoc,
-               protobuf-compiler,
+               protobuf-compiler (>= 3.20),
                zlib1g-dev
 Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://android.googlesource.com/platform/frameworks/base
 Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-frameworks-base.git
 Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-frameworks-base
@@ -30,7 +27,9 @@
 Section: libs
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         android-libutils (>= 1:29),
+         android-libziparchive (>= 1:29),
 Description: Android utility library
  Library providing utility functions to Android related tools. This is needed
  purely to get various Android utilities working.  In the Google builds of the
@@ -41,10 +40,10 @@
 Section: libdevel
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
 Multi-Arch: foreign
-Depends: android-libandroidfw (= ${binary:Version}),
-         android-libutils-dev (>= 1:8.1.0+r23~),
-         android-platform-frameworks-native-headers (>= 8.1.0+r23~),
-         ${misc:Depends},
+Depends: ${misc:Depends},
+         android-libandroidfw (= ${binary:Version}),
+         android-libutils-dev (>= 1:29),
+         android-platform-frameworks-native-headers (>= 1:29),
 Breaks: android-libandroidfw (<< 21-2~)
 Replaces: android-libandroidfw (<< 21-2~)
 Description: Android utility library - Development files
