=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,27 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
-# See https://android.googlesource.com/platform/development/+/master/sdk/build_tools_source.prop_template
-export ANDROID_BUILD_TOOLS_VERSION = 27.0.1
+export CC=clang
+export CXX=clang++
+
+# https://android.googlesource.com/platform/development/+/android-10.0.0_r36/sdk/build_tools_source.prop_template
+export ANDROID_BUILD_TOOLS_VERSION = 29.0.3
 export DEB_HOST_MULTIARCH
-export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG -I/usr/include/android
+
+## Security Hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# https://android.googlesource.com/platform/build/soong/+/refs/tags/android-10.0.0_r36/cc/config/global.go#116
+export DEB_CXXFLAGS_MAINT_APPEND = -fPIC
 export DEB_LDFLAGS_MAINT_APPEND = -fPIC
+export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG -UDEBUG \
+  -I/usr/include/android \
+  -Wno-c99-designator \
+  -Wno-gnu-designator \
+  -Wno-gnu-folding-constant \
+  -fmessage-length=0 \
+  -fno-exceptions \
+  -fno-strict-aliasing \
+  -no-canonical-prefixes \
 
 debian/out/aapt: debian/aapt.mk debian/out/libaapt.so
 	dh_auto_build --buildsystem=makefile -- -f $<
@@ -27,25 +43,25 @@
 %:
 	dh $@ --with bash-completion
 
+override_dh_auto_configure:
+	mkdir -p debian/out
+	dh_auto_configure
+
 override_dh_auto_build-arch: debian/out/aapt debian/out/aapt2 debian/out/split-select
-	mkdir --parent debian/out
 	pandoc -s -o debian/out/split-select.1 debian/split-select.1.md
 
 override_dh_auto_build-indep: debian/out/aapt2
-	mkdir --parents debian/out
-	cp /usr/lib/$(DEB_HOST_MULTIARCH)/android/*.so.0 debian/out
-	ln -s /usr/lib/p7zip/7z.so debian/out/7z.so
-	chrpath --replace debian/out debian/out/aapt2
+	LD_LIBRARY_PATH=debian/out \
 	debian/out/aapt2 compile --dir core/res/res \
 				-o debian/out/resources.zip
+	LD_LIBRARY_PATH=debian/out \
 	debian/out/aapt2 link --manifest core/res/AndroidManifest.xml \
 				debian/out/resources.zip \
 				-o debian/out/framework-res.apk \
 				-A core/res/assets \
-				--min-sdk-version 27 --target-sdk-version 27 \
+				--min-sdk-version 29 --target-sdk-version 29 \
 				--product default \
-				--version-code 27 --version-name 8.1.0 \				
-	chrpath --replace /usr/lib/$(DEB_HOST_MULTIARCH)/android debian/out/aapt2
+				--version-code 29 --version-name 10.0.0
 
 get-orig-source: $(subst android-platform-,,$(DEB_SOURCE)).tar.gz
 	mkdir -p $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
