=== debian/tests/control ===
Test-Command: aapt version
Architecture: amd64 i386 armel armhf arm64 mipsel mips64el
Depends: aapt

Test-Command: aapt2 version
Architecture: amd64 i386 armel armhf arm64 mipsel mips64el
Depends: aapt
Restrictions: allow-stderr

Test-Command: for i in strings badging permissions resources configurations; do aapt dump $i tools/aapt2/integration-tests/ConvertTest/duplicate_entries.apk > /dev/null; done
Architecture: amd64 i386 armel armhf arm64 mipsel mips64el
Depends: aapt

Test-Command: for i in badging configurations packagename permissions strings resources; do aapt2 dump $i tools/aapt2/integration-tests/ConvertTest/duplicate_entries.apk > /dev/null; done
Architecture: amd64 i386 armel armhf arm64 mipsel mips64el
Depends: aapt

Test-Command: ls -l /usr/share/android-framework-res/framework-res.apk
Depends: android-framework-res
